Print Friendly

# Class Ext.grid.CellSelectionModel

Package: | Ext.grid
Class: | CellSelectionModel
Extends: | AbstractSelectionModel
Defined In: | CellSelectionModel.js

Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| CellSelectionModel(`Object config`) | CellSelectionModel
| addEvents(`Object object`) : void | Observable
Copies any events from the passed object onto this object if they do not already exist. The passed object must also ...
| addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`]) : void | Observable
Appends an event handler to this component
| clearSelections() : void | CellSelectionModel
Clears all selections.
| fireEvent(`String eventName`, `Object... args`) : Boolean | Observable
Fires the specified event with the passed parameters (minus the event name).
| hasListener(`String eventName`) : Boolean | Observable
Checks to see if this object is currently listening for a specified event
| hasSelection() : Boolean | CellSelectionModel
Returns True if there is a selection.
| isLocked() : Boolean | AbstractSelectionModel
Returns true if the selections are locked
| lock() : void | AbstractSelectionModel
Lock the selections
| on(`String eventName`, `Function handler`, [`Object options`]) : void | Observable
Appends an event handler to this element (shorthand for addListener)
| purgeListeners() : void | Observable
Removes all listeners for this object
| removeListener(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener
| select(`Number rowIndex`, `Number collIndex`) : void | CellSelectionModel
Selects a cell.
| un(`String eventName`, `Function handler`, [`Object scope`]) : void | Observable
Removes a listener (shorthand for removeListener)
| unlock() : void | AbstractSelectionModel
Unlock the selections

## Public Events

Event | Defined By
--- | ---
| beforerowselect : (`SelectionModel this`, `Number rowIndex`, `Number colIndex`) | CellSelectionModel
Fires before a cell is selected.
| cellselect : (`SelectionModel this`, `Number rowIndex`, `Number colIndex`) | CellSelectionModel
Fires when a cell is selected.
| selectionchange : (`SelectionModel this`, `Object selection`) | CellSelectionModel
Fires when the active selection changes.

## Constructor Details

### CellSelectionModel

`public function CellSelectionModel(`Object config`)`
Parameters:

- `config` : Object

## Method Details

### addEvents

`public function addEvents(`Object object`)`
Copies any events from the passed object onto this object if they do not already exist. The passed object must also inherit from Observable for this method to have any effect.
Parameters:

- `object` : Object
  The object from which to copy events

Returns:

- `void`

This method is defined by Observable.

### addListener

`public function addListener(`String eventName`, `Function handler`, [`Object scope`], [`Object options`])`
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope {Object} The scope in which to execute the handler function. The handler function's "this" context.
  - delegate {String} A simple selector to filter the target or look for a descendant of the target
  - stopEvent {Boolean} True to stop the event. That is stop propagation, and prevent the default action.
  - preventDefault {Boolean} True to prevent the default action
  - stopPropagation {Boolean} True to prevent event propagation
  - normalized {Boolean} False to pass a browser event to the handler function instead of an Ext.EventObject
  - delay {Number} The number of milliseconds to delay the invocation of the handler after te event fires.
  - single {Boolean} True to add a handler to handle just the next firing of the event, and then remove itself.
  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

  Code:

      el.on('click', this.onClick, this, { single: true, delay: 100, stopEvent : true, forumId: 4 });

  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

  Attaching multiple handlers in 1 call
  Code:

      el.on({ 'click' : { fn: this.onClick scope: this, delay: 100 }, 'mouseover' : { fn: this.onMouseOver scope: this }, 'mouseout' : { fn: this.onMouseOut scope: this } });

  Or a shorthand syntax:
  Code:

      el.on({ 'click' : this.onClick, 'mouseover' : this.onMouseOver, 'mouseout' : this.onMouseOut scope: this });

Returns:

- `void`

This method is defined by Observable.

### clearSelections

`public function clearSelections()`
Clears all selections.
Parameters:

- None.

Returns:

- `void`

This method is defined by CellSelectionModel.

### fireEvent

`public function fireEvent(`String eventName`, `Object... args`)`
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

This method is defined by Observable.

### hasListener

`public function hasListener(`String eventName`)`
Checks to see if this object is currently listening for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

This method is defined by Observable.

### hasSelection

`public function hasSelection()`
Returns True if there is a selection.
Parameters:

- None.

Returns:

- `Boolean`

This method is defined by CellSelectionModel.

### isLocked

`public function isLocked()`
Returns true if the selections are locked
Parameters:

- None.

Returns:

- `Boolean`

This method is defined by AbstractSelectionModel.

### lock

`public function lock()`
Lock the selections
Parameters:

- None.

Returns:

- `void`

This method is defined by AbstractSelectionModel.

### on

`public function on(`String eventName`, `Function handler`, [`Object options`])`
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `options` : Object
  (optional)

Returns:

- `void`

This method is defined by Observable.

### purgeListeners

`public function purgeListeners()`
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

This method is defined by Observable.

### removeListener

`public function removeListener(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### select

`public function select(`Number rowIndex`, `Number collIndex`)`
Selects a cell.
Parameters:

- `rowIndex` : Number
- `collIndex` : Number

Returns:

- `void`

This method is defined by CellSelectionModel.

### un

`public function un(`String eventName`, `Function handler`, [`Object scope`])`
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

This method is defined by Observable.

### unlock

`public function unlock()`
Unlock the selections
Parameters:

- None.

Returns:

- `void`

This method is defined by AbstractSelectionModel.

## Event Details

### beforerowselect

`public event beforerowselect`
Fires before a cell is selected.
Subscribers will be called with the following parameters:

- `this` : SelectionModel
- `rowIndex` : Number
  The selected row index
- `colIndex` : Number
  The selected cell index

This event is defined by CellSelectionModel.

### cellselect

`public event cellselect`
Fires when a cell is selected.
Subscribers will be called with the following parameters:

- `this` : SelectionModel
- `rowIndex` : Number
  The selected row index
- `colIndex` : Number
  The selected cell index

This event is defined by CellSelectionModel.

### selectionchange

`public event selectionchange`
Fires when the active selection changes.
Subscribers will be called with the following parameters:

- `this` : SelectionModel
- `selection` : Object
  null for no selection or an object (o) with two properties
  - o.record: the record object for the row the selection is in
  - o.cell: An array of [rowIndex, columnIndex]

This event is defined by CellSelectionModel.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.